### About FoodMicrobionet

FoodMicrobionet is a database of studies on the composition of the bacterial microbiota of food obtained by amplicon targeted (16S RNA gene or 16S RNA) high throughput sequencing.

Data are organized in tables:

* Studies: metadata on studies
* Samples: metadata on samples for each study
* Edges: taxa abundance for each sample
* Taxa: metadata on taxa
* To learn more on FoodMicrobionet and its development visit [our homepage](http://www.foodmicrobionet.org). To cite FoodMicrobionet and see related articles go [here](http://www.foodmicrobionet.org). To download a manual for this app [click here](http://www.foodmicrobionet.org/wp-content/uploads/2019/11/manual_shinyFMBN_v2_1_11_19.docx)

### About this app

This app (version 2) is designed to provide an interface to:

* explore studies and samples;  

* extract/filter groups of samples;  

* (optionally) perform aggregation of samples or taxa;  

* (locally) save data for further analysis  

* carry out minimal exploration of the dataset extracted from FMBN by using graphs and tables

### Credits and copyright

The function for installing/loading packages is taken verbatim from [here](https://f1000research.com/articles/5-1492/v2). A few others pieces of code were readapted from [here](https://tinyurl.com/tng8qgw).

Copyright 2018, 2019, 2020 Eugenio Parente, Universita' della Basilicata

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

